"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Settings = new class Settings {
    constructor() {
        /**
         * Enable caching for internal data structures, like date indexes.
         *
         * Unless you have a very low memory, you **should keep this setting to `true`**,
         * because it enable many performance tweaks.
         *
         * Defaults to `true`.
         */
        this.ENABLE_CACHE = true;
        /**
         * Set to `true`, this will slow down archive reading and disable some performance tweaks
         * that use a lot of memory. Set this parameter to `true` if webpage crashes
         * when you load a very big archive, or if your system is memory-limited.
         *
         * Defaults to `false`.
         */
        this.LOW_RAM = false;
    }
}();
exports.default = exports.Settings;
